conntrack-tools (1:1.4.5-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 11:01:32 +0800

conntrack-tools (1:1.4.5-2) unstable; urgency=medium

  * [5ce3c64] d/conntrackd.manpages: add file
  * [a099cb5] d/rules: simplify dh_auto_configure call (Closes: #898881)
  * [2315dfd] d/patches: add upstream_conntrackd.conf.8.patch (Closes: #916138)
  * [40fd6d5] src:conntrack-tools: bump standards-version to 4.3.0
  * [6478616] d/control: suggests nftables
  * [dbe1816] d/changelog: cleanup trailing whitespaces
  * [5d22f2d] d/rules: drop dh_strip override for dbgsym migration

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Sun, 27 Jan 2019 12:40:28 +0100

conntrack-tools (1:1.4.5-1) unstable; urgency=medium

  * [9fa49d0] d/control: point VCS-* to salsa.debian.org
  * [912cd2c] d/t/control: create a ct helper requires isolation machine
  * [29d5b29] New upstream version 1.4.5
  * [ee52723] src:conntrack-tools: bump std-version to 4.1.4
  * [5d914c7] d/patches: drop all patches
  * [dce3f46] d/control: bump build-dep on libnetfilter-conntrack
  * [409804e] d/rules: delete special case for autogen.sh
  * [84af1f3] d/control: bump compat to 11
  * [dda40ee] d/conntrack.examples: drop file

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Tue, 01 May 2018 12:59:52 +0200

conntrack-tools (1:1.4.4+snapshot20161117-6) unstable; urgency=medium

  [ Arturo Borrero Gonzalez ]
  * [82925029] d/t/control: add testcase to cover bug #855281
  * [85880465] d/control: move package to pkg-netfilter

  [ Steve Langasek ]
  * [5d478ea5] d/tests/: use containers-friendy test config files
    (Closes: #871833)
  * [bf85e4d2] d/tests/: more robust handling of modules in CI environments
    (Closes: #871833)

  [ Arturo Borrero Gonzalez ]
  * [b3fa112b] d/t/control: fix typo

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Tue, 15 Aug 2017 14:14:29 +0200

conntrack-tools (1:1.4.4+snapshot20161117-5) unstable; urgency=medium

  * [1232348] d/tests/control: restrict internal testsuites to isolation-machine
  * [8bf0689] d/control: refresh VCS URLs
  * [9fc7318] conntrackd: include missing helper plugins (Closes: #855281)

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Thu, 16 Feb 2017 14:14:49 +0100

conntrack-tools (1:1.4.4+snapshot20161117-4) unstable; urgency=medium

  * [6add2e0] d/rules: disable parallel building
  * [7dab55c] d/tests/: only run internal testsuites in newer kernels

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Wed, 07 Dec 2016 09:41:51 +0100

conntrack-tools (1:1.4.4+snapshot20161117-3) unstable; urgency=medium

  * [841f76b] d/tests/: fixes for ci.debian.net
  * [5ba7b9e] d/patches/: add missing-include.patch
  * [b557f0d] d/control: put myself as Maintainer

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Mon, 05 Dec 2016 12:01:15 +0100

conntrack-tools (1:1.4.4+snapshot20161117-2) unstable; urgency=medium

  * [bbece6e] conntrack-tools-dbg: switch to -dbgsym
  * [e6f2e28] d/tests/: run the conntrack internal testsuite
  * [b283277] d/tests/: run nfct internal testsuite
  * [5767931] d/compat: switch from compat 9 to 10

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Fri, 02 Dec 2016 09:35:00 +0100

conntrack-tools (1:1.4.4+snapshot20161117-1) unstable; urgency=medium

  * [3a4994c] New upstream version 1.4.4+snapshot20161117
  * [810245a] d/rules: call autogen.sh with snapshot upstream tarball

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Thu, 17 Nov 2016 09:40:12 +0100

conntrack-tools (1:1.4.4-5) unstable; urgency=medium

  * [6c493cf] d/conntrackd.README.Debian: refresh file
  * [3c4a6b4] d/: update email address to 'arturo@debian.org'

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Mon, 10 Oct 2016 11:47:12 +0200

conntrack-tools (1:1.4.4-4) unstable; urgency=medium

  * [3186488] d/conntrackd.service: include Restart=on-failure
  * [b202c66] d/tests/systemd-service-test.sh: include 'Systemd on'

 -- Arturo Borrero Gonzalez <arturo.borrero.glez@gmail.com>  Thu, 08 Sep 2016 13:17:13 +0200

conntrack-tools (1:1.4.4-3) unstable; urgency=medium

  * [4f62e32] Revert "conntrackd: get rid of the sysvinit support"
  * [302840a] d/conntrackd.{postinst,postrm,preinst}: drop files
  * [8de1906] d/conntrackd.README.Debian: clarify again over init systems
  * [6967348] d/conntrackd.service: don't read sysvinit config files
  * [cff182e] d/conntrackd.service: add Documentation= pointers to manpages

 -- Arturo Borrero Gonzalez <arturo.borrero.glez@gmail.com>  Mon, 29 Aug 2016 09:34:49 +0200

conntrack-tools (1:1.4.4-2) unstable; urgency=medium

  * [97f77d0] d/conntrackd.conf: refresh file and include 'Systemd on'
    (Closes: #835384)
  * [c4103d9] d/conntrackd.install: include conntrackd.conf(5) in the
    package
  * [917beed] conntrackd: get rid of the sysvinit support
  * [ae95ea7] d/copyright: refresh file with upstream files by Arturo
    Borrero Gonzalez

 -- Arturo Borrero Gonzalez <arturo.borrero.glez@gmail.com>  Thu, 25 Aug 2016 11:20:27 +0200

conntrack-tools (1:1.4.4-1) unstable; urgency=medium

  * [0f955ff] d/tests/basic-daemon-test.sh: fix if variable expansion
  * [763d9d7] d/tests/systemd-service-test.sh: use quotation marks in if
    statements
  * [8088e55] Imported Upstream version 1.4.4
  * [57546b7] d/control: bump build-dep on libnetfilter-conntrack
  * [abe93fa] d/patches/: drop all patches
  * [e43d7fb] d/rules: cleanup systemd integration configuration

 -- Arturo Borrero Gonzalez <arturo.borrero.glez@gmail.com>  Mon, 22 Aug 2016 15:40:47 +0200

conntrack-tools (1:1.4.3-8) unstable; urgency=medium

  * [a464db2] d/tests/control: allow-stderr for systemd-service-test.sh
  * [e16e6ed] d/: fix permisions of conntrackd.init and conntrackd.preinst
  * [a49f439] d/conntrackd.service: include hint about removing lockfile
    before start
  * [1f61ab8] d/tests/basic-daemon-test.sh: add a final informative
    message
  * [5871886] d/tests: add conntrack-test.sh

 -- Arturo Borrero Gonzalez <arturo.borrero.glez@gmail.com>  Tue, 26 Apr 2016 16:53:09 +0200

conntrack-tools (1:1.4.3-7) unstable; urgency=medium

  * [c9e197b] d/tests/systemd-service-tests.sh: fix missing ']'
  * [a613d86] d/tests/basic-daemon-tests.sh: adapt script to ci.debian.net
  * [087068d] d/tests/systemd-service-tests.sh: adapt script to
    ci.debian.net

 -- Arturo Borrero Gonzalez <arturo.borrero.glez@gmail.com>  Tue, 26 Apr 2016 09:46:13 +0200

conntrack-tools (1:1.4.3-6) unstable; urgency=medium

  * [636be6c] d/tests: add basic-daemon-test.sh
  * [b2a7139] d/tests: add systemd-service-test.sh

 -- Arturo Borrero Gonzalez <arturo.borrero.glez@gmail.com>  Mon, 25 Apr 2016 13:40:59 +0200

conntrack-tools (1:1.4.3-5) unstable; urgency=medium

  * [12d2949] d/control: bump standars-versions to 3.9.8
  * [339eced] d/control: get rid of XS-Testsuite directive
  * [f7f08b5] d/tests/control: fix version call of nfct command

 -- Arturo Borrero Gonzalez <arturo.borrero.glez@gmail.com>  Fri, 22 Apr 2016 10:01:25 +0200

conntrack-tools (1:1.4.3-4) unstable; urgency=medium

  * [037ef6d] d/control: bump standards to 3.9.7
  * [6e3d731] d/control: bump build-dep on libsystemd-dev to >= 227
    (Closes: #804233)
  * [1bc9b27] d/tests/control: add basic test for nfct
  * [3674978] d/tests/control: fix typo in nfct restrictions
  * [7910616] d/changelog: generate entry for

 -- Arturo Borrero Gonzalez <arturo.borrero.glez@gmail.com>  Thu, 21 Apr 2016 11:11:45 +0200

conntrack-tools (1:1.4.3-3) unstable; urgency=medium

  * [8689754] d/control: fix typo in conntrack-tools-dbg long description
  * [b403285] conntrackd: add libsystemd integration

 -- Arturo Borrero Gonzalez <arturo.borrero.glez@gmail.com>  Thu, 05 Nov 2015 13:00:09 +0100

conntrack-tools (1:1.4.3-2) unstable; urgency=medium

  * [ef76f4f] conntrack-tools: rename source package
  * [959d85b] conntrack-tools: add -dbg binary package

 -- Arturo Borrero Gonzalez <arturo.borrero.glez@gmail.com>  Wed, 14 Oct 2015 11:48:40 +0200

conntrack (1:1.4.3-1) unstable; urgency=medium

  * [db73d0e] Imported Upstream version 1.4.3
  * [0ccc8d0] d/patches: drop CVE-2015-6496.patch
  * [bf49028] d/control: lower priority from optional to extra

 -- Arturo Borrero Gonzalez <arturo.borrero.glez@gmail.com>  Tue, 15 Sep 2015 13:13:43 +0200

conntrack (1:1.4.2-4) unstable; urgency=medium

  * [fcc616e] conntrackd.service: add ProtectSystem= and ProtectHome=
  * [5a4a432] d/: add basic DEP8 test suite

 -- Arturo Borrero Gonzalez <arturo.borrero.glez@gmail.com>  Tue, 08 Sep 2015 10:44:32 +0200

conntrack (1:1.4.2-3) unstable; urgency=medium

  * [d2fe984] d/patches: add CVE-2015-6496.patch (Closes: #796103)

 -- Arturo Borrero Gonzalez <arturo.borrero.glez@gmail.com>  Wed, 19 Aug 2015 20:08:53 +0200

conntrack (1:1.4.2-2) unstable; urgency=medium

  [ Arturo Borrero Gonzalez ]
  * [9e57eb1] d/control: add Vcs fields
  * [d2f808f] d/control: architecture is linux-any

  [ Alexander Wirt ]
  * [70fd658] Update config.{guess,sub} with autotools-dev (Closes: #763692)

 -- Alexander Wirt <formorer@debian.org>  Thu, 02 Oct 2014 07:51:09 +0200

conntrack (1:1.4.2-1) unstable; urgency=medium

  [ Arturo Borrero Gonzalez ]
  * [063c2ed] d/control: add Arturo Borrero Gonzalez as uploader
  * [2f1d20b] d/rules: delete useless comment
  * [afca2aa] d/rules: do a verbose build
  * [932ae12] d/control: add autotools-dev as build-dep
  * [8c11b54] d/control: bump standars to 3.9.6
  * [f93ca69] d/copyright: add a proper copyright file
  * [66d8631] d/copyright: fix overriding of file matching
  * [bb3229e] d/: new binary package for nfct

  [ Alexander Wirt ]
  * [b5b4069] Add systemd support
  * [8beec8e] wrap-and-sort
  * [9f760e5] Imported Upstream version 1.4.2

 -- Alexander Wirt <formorer@debian.org>  Fri, 26 Sep 2014 15:58:30 +0200

conntrack (1:1.4.1-1) unstable; urgency=low

  * [095df09] Move to 3.0 (quilt) for bz2 support
  * [6b61aef] Imported Upstream version 1.4.1

 -- Alexander Wirt <formorer@debian.org>  Sat, 18 May 2013 21:48:27 +0200

conntrack (1:1.2.1-1) unstable; urgency=low

  * [ed902b3] Initial upstream branch.
  * [ea27bb4] Imported Upstream version 1.2.1
  * [9a5f9ae] Update libnetfilter_conntrack requirement
  * [92005c6] Fix dependency
  * [fb4a63b] wrap-and-sort debian/control
  * [21100c2] Remove obsolete stuff
  * [30f468d] Convert to dh9
  * [b96ec88] Bump standards version
  * [741f6a6] wrap-and-sort
  * [9c43cb9] Install examples
  * [f403c41] Installation of examples moved to dh_installexamples
  * [d60e302] Remove wrong example

 -- Alexander Wirt <formorer@debian.org>  Tue, 12 Jun 2012 18:09:58 +0200

conntrack (1:1.0.0-2) unstable; urgency=low

  * Build depend on libnetfilter-conntrack >= 0.9.1
    (Closes: #616410)

 -- Alexander Wirt <formorer@debian.org>  Fri, 04 Mar 2011 10:07:00 +0100

conntrack (1:1.0.0-1) unstable; urgency=low

  * New upstream version (Closes: #589202, #589203, #589204)
    - Fix removing of conntrack entries (Closes: #496769)
  * Bump standards version
  * Force deb source 1.0
  * Use invoke-rc.d in logrotate.de (Closes: #613512)
  * Make logrotate silent (Closes: #605247)

 -- Alexander Wirt <formorer@debian.org>  Thu, 03 Mar 2011 23:07:26 +0100

conntrack (1:0.9.14-2) unstable; urgency=low

  * Integrate lost NMU from Stefan Fritsch. Thanks Stefan
  * Prevent dpkg conffile prompt for unmodified conntrackd.conf when upgrading
    from pre 1:0.9.12-1 (closes: #542662).

 -- Alexander Wirt <formorer@debian.org>  Sat, 13 Feb 2010 11:17:59 +0100

conntrack (1:0.9.14-1) unstable; urgency=low

  * New upstream version
  * Add ${misc:Depends} to all binary packages
  * Add dpatch support
  * Bump standards version (no changes)
  * Remove Max from Uploaders. Thanks for your work!
  * Backport patch from HEAD to fix UDP filtering.
    Thanks tino for the hint

 -- Alexander Wirt <formorer@debian.org>  Sat, 30 Jan 2010 18:34:09 +0100

conntrack (1:0.9.13-1) unstable; urgency=low

  [ Max Kellermann ]
  * new upstream release (Closes: #537896, #545918)
    - require libnfnetlink 1.0.0, libnetfilter_conntrack 0.0.100
    - ChangeLog was removed by upstream
  * updated home page in the copyright file (Closes: #533583)
  * correct LSB dependencies in init script, patch by Petter Reinholdtsen
    (Closes: #541079)

  [ Alexander Wirt ]
  * Bump standards version

 -- Alexander Wirt <formorer@debian.org>  Thu, 17 Sep 2009 12:32:19 +0200

conntrack (1:0.9.12-1) unstable; urgency=low

  [ Max Kellermann ]
  * new upstream release
    - build-depend on libnfnetlink 0.0.40, libnetfilter-conntrack 0.0.99
    - fixes FTBS (undeclared variable)
    (Closes: #522181, #518891)
  * moved conntrackd.conf to /etc/conntrackd/conntrackd.conf (Closes: #477679)
  * updated sample configuration file
  * updated home page to http://conntrack-tools.netfilter.org/
  * restart conntrackd after logrotate (Closes: #513079)

  [ Alexander Wirt ]
  * Bump standards version

 -- Alexander Wirt <formorer@debian.org>  Thu, 02 Apr 2009 11:37:25 +0200

conntrack (1:0.9.7-1) unstable; urgency=low

  [ Max Kellermann ]
  * new upstream release
    - dropped all patches because they have been merged by upstream
    - depend on libnfnetlink 0.0.33, libnetfilter-conntrack 0.0.94

  [ Alexander Wirt ]
  * Bump standards version (No changes)

 -- Alexander Wirt <formorer@debian.org>  Tue, 22 Jul 2008 23:33:30 +0200

conntrack (1:0.9.6-4) unstable; urgency=low

  [ Max Kellermann ]
  * fix compilation on SPARC (printf argument mismatch)

 -- Alexander Wirt <formorer@debian.org>  Mon, 14 Apr 2008 23:09:22 +0200

conntrack (1:0.9.6-3) unstable; urgency=low

  [ Max Kellermann ]
  * fix gcc 4.3 compilation errors:
    - "large integer implicitly truncated to unsigned type" (Closes: #472812)
    - "'input' defined but not used" (Closes: #474768)

 -- Alexander Wirt <formorer@debian.org>  Tue, 08 Apr 2008 22:08:10 +0200

conntrack (1:0.9.6-2) unstable; urgency=low

  * Build depend on bison (Closes: #472442)

 -- Alexander Wirt <formorer@debian.org>  Mon, 24 Mar 2008 12:35:44 +0100

conntrack (1:0.9.6-1) unstable; urgency=low

  [ Max Kellermann ]
  * new upstream release
  * added package "conntrackd"
  * updated watchfile for new upstream name "conntrack-tools" (Closes:
    #449899)
  * removed "-Wall" from CFLAGS override
  * moved DH_COMPAT to debian/compat
  * don't ignore "make distclean" errors
  * bumped Standards-Version to 3.7.3
  * install upstream changelog
  * added Homepage header to debian/control
  * call dh_install with -X.svn because upstream accidently distributed
    the .svn directories

 -- Alexander Wirt <formorer@debian.org>  Fri, 21 Mar 2008 22:46:22 +0100

conntrack (1.00~beta2-1) unstable; urgency=low

  * initial debian release (Closes: #388615)

 -- Max Kellermann <max@duempel.org>  Thu, 21 Sep 2006 18:04:51 +0200
